Appearance
Create Profile
POST
/api/v1/content-profiles
Authorizations
HTTPBearer
Type
HTTP (bearer)
Request Body
application/json
JSON "name": "string", "ai_provider": "anthropic", "ai_model": "string", "language": "en", "tone": "professional", "custom_instructions": "string", "max_short_chars": 200, "max_long_chars": 1000, "use_html": true, "use_html_short": false, "generate_short": true, "generate_long": true, "translate_name": true, "image_analysis_enabled": false, "image_analysis_count": 3, "structured_data_enabled": false, "generate_bullet_points": false, "generate_attributes": false, "generate_tags": false
{
}
Responses
Successful Response
application/json
JSON "id": "string", "organization_id": "string", "name": "string", "is_default": true, "ai_provider": "string", "ai_model": "string", "language": "string", "tone": "string", "custom_instructions": "string", "max_short_chars": 0, "max_long_chars": 0, "use_html": true, "use_html_short": true, "generate_short": true, "generate_long": true, "translate_name": true, "image_analysis_enabled": true, "image_analysis_count": 0, "structured_data_enabled": true, "generate_bullet_points": true, "generate_attributes": true, "generate_tags": true, "created_at": "string", "updated_at": "string"
{
}